## GnomeCanvasShape

GnomeCanvasShape

## Functions

void | gnome_canvas_shape_set_path_def ()
GnomeCanvasPathDef * | gnome_canvas_shape_get_path_def ()

## Properties

GdkCapStyle | cap-style | Read / Write
gpointer | dash | Read / Write
char * | fill-color | Write
GdkColor * | fill-color-gdk | Read / Write
guint | fill-color-rgba | Read / Write
GdkDrawable * | fill-stipple | Read / Write
GdkJoinStyle | join-style | Read / Write
double | miterlimit | Read / Write
char * | outline-color | Write
GdkColor * | outline-color-gdk | Read / Write
guint | outline-color-rgba | Read / Write
GdkDrawable * | outline-stipple | Read / Write
guint | width-pixels | Read / Write
double | width-units | Read / Write
guint | wind | Read / Write

## Types and Values

struct | GnomeCanvasShape

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GnomeCanvasItem
                    ╰── GnomeCanvasShape
                        ├── GnomeCanvasBpath
                        ├── GnomeCanvasRE
                        ╰── GnomeCanvasPolygon

## Includes

    #include <libgnomecanvas/libgnomecanvas.h>

## Description

## Functions

### gnome_canvas_shape_set_path_def ()

    void
    gnome_canvas_shape_set_path_def (GnomeCanvasShape *shape,
                                     GnomeCanvasPathDef *def);

This function sets the the GnomeCanvasPathDef used by the GnomeCanvasShape. Notice, that it does not request updates, as it is meant to be used from item implementations, from inside update queue.

#### Parameters

shape | a GnomeCanvasShape |
def | a GnomeCanvasPathDef |

### gnome_canvas_shape_get_path_def ()

    GnomeCanvasPathDef *
    gnome_canvas_shape_get_path_def (GnomeCanvasShape *shape);

This function returns the GnomeCanvasPathDef that the shape currently uses. It adds a reference to the GnomeCanvasPathDef and returns it, if there is not a GnomeCanvasPathDef set for the shape it returns NULL.

#### Parameters

shape | a GnomeCanvasShape |

#### Returns

a GnomeCanvasPathDef or NULL if none is set for the shape.

## Types and Values

### struct GnomeCanvasShape

    struct GnomeCanvasShape;

## Property Details

### The `“cap-style”` property

      “cap-style”                GdkCapStyle

Owner: GnomeCanvasShape

Flags: Read / Write

Default value: GDK_CAP_BUTT

### The `“dash”` property

      “dash”                     gpointer

Owner: GnomeCanvasShape

Flags: Read / Write

### The `“fill-color”` property

      “fill-color”               char *

Owner: GnomeCanvasShape

Flags: Write

Default value: NULL

### The `“fill-color-gdk”` property

      “fill-color-gdk”           GdkColor *

Owner: GnomeCanvasShape

Flags: Read / Write

### The `“fill-color-rgba”` property

      “fill-color-rgba”          guint

Owner: GnomeCanvasShape

Flags: Read / Write

Default value: 0

### The `“fill-stipple”` property

      “fill-stipple”             GdkDrawable *

Owner: GnomeCanvasShape

Flags: Read / Write

### The `“join-style”` property

      “join-style”               GdkJoinStyle

Owner: GnomeCanvasShape

Flags: Read / Write

Default value: GDK_JOIN_MITER

### The `“miterlimit”` property

      “miterlimit”               double

Owner: GnomeCanvasShape

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“outline-color”` property

      “outline-color”            char *

Owner: GnomeCanvasShape

Flags: Write

Default value: NULL

### The `“outline-color-gdk”` property

      “outline-color-gdk”        GdkColor *

Owner: GnomeCanvasShape

Flags: Read / Write

### The `“outline-color-rgba”` property

      “outline-color-rgba”       guint

Owner: GnomeCanvasShape

Flags: Read / Write

Default value: 0

### The `“outline-stipple”` property

      “outline-stipple”          GdkDrawable *

Owner: GnomeCanvasShape

Flags: Read / Write

### The `“width-pixels”` property

      “width-pixels”             guint

Owner: GnomeCanvasShape

Flags: Read / Write

Default value: 0

### The `“width-units”` property

      “width-units”              double

Owner: GnomeCanvasShape

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“wind”` property

      “wind”                     guint

Owner: GnomeCanvasShape

Flags: Read / Write

Default value: 0